# macos.h File Reference

Functions related to MacOS support. More...

Go to the source code of this file.

## Defines
#define | MAC_OS_X_VERSION_10_3 1030
#define | MAC_OS_X_VERSION_10_4 1040
#define | MAC_OS_X_VERSION_10_5 1050
#define | assert(e) (__builtin_expect(!(e), 0) ? ShowMacAssertDialog ( __func__, __FILE__, __LINE__, #e ): (void)0 )
#define | signal(sig, func) (MacOSVersionIsAtLeast(10, 4, 0) ? signal(sig, func) : NULL)
## Functions
void | ShowMacDialog (const char *title, const char *message, const char *buttonLabel)
void | ShowMacAssertDialog (const char *function, const char *file, const int line, const char *expression)
void | ShowMacErrorDialog (const char *error)
long | GetMacOSVersionMajor ()
| Get the major version of Mac OS we are running under.
long | GetMacOSVersionMinor ()
| Get the minor version of Mac OS we are running under.
long | GetMacOSVersionBugfix ()
| Get the bugfix version of Mac OS we are running under.
static bool | MacOSVersionIsAtLeast (long major, long minor, long bugfix)
| Check if we are at least running on the specified version of Mac OS.

## Detailed Description

Functions related to MacOS support.

Definition in file macos.h.

## Function Documentation

long GetMacOSVersionBugfix | ( |  | ) |

Get the bugfix version of Mac OS we are running under.

Useful for things like the cocoa driver.

Returns:
  bugfix version of the os. This would be 11 in the case of 10.4.11.

Referenced by MacOSVersionIsAtLeast().

long GetMacOSVersionMajor | ( |  | ) |

Get the major version of Mac OS we are running under.

Useful for things like the cocoa driver.

Returns:
  major version of the os. This would be 10 in the case of 10.4.11.

Referenced by MacOSVersionIsAtLeast().

long GetMacOSVersionMinor | ( |  | ) |

Get the minor version of Mac OS we are running under.

Useful for things like the cocoa driver.

Returns:
  minor version of the os. This would be 4 in the case of 10.4.11.

Referenced by MacOSVersionIsAtLeast().

static bool MacOSVersionIsAtLeast | ( | long | major,
|  | long | minor,
|  | long | bugfix |
| ) |  |  | `[inline, static]`

Check if we are at least running on the specified version of Mac OS.

Parameters:

  | major | major version of the os. This would be 10 in the case of 10.4.11.
  | minor | minor version of the os. This would be 4 in the case of 10.4.11.
  | bugfix | bugfix version of the os. This would be 11 in the case of 10.4.11.

Returns:
  true if the running os is at least what we asked, false otherwise.

Definition at line 73 of file macos.h.

References GetMacOSVersionBugfix(), GetMacOSVersionMajor(), GetMacOSVersionMinor(), and min().